/*
 * logdlg.h
 * Copyright (C) Raul Massano Brás 2012 <rbras@iseg.utl.pt>
 *
 * MulTyLink is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MulTyLink is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef LOGDLG_H
#define LOGDLG_H

#include <QtGui/QDialog>
#include <QCloseEvent>

namespace Ui {
    class LogDlg;
}

class LogDlg : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(LogDlg)
public:
    explicit LogDlg(QWidget *parent = 0);
    virtual ~LogDlg();

    //void closeEvent(QCloseEvent *event) {event->ignore();}


    void insertText(const QString& t, const QColor& c=Qt::black);

protected:
    virtual void changeEvent(QEvent *e);

private:
    Ui::LogDlg *m_ui;

private slots:

};

#endif // LOGDLG_H
