/*
 * popupmessage.cpp
 * Copyright (C) Raul Massano Brás 2012 <rbras@iseg.utl.pt>
 *
 * MulTyLink is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MulTyLink is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "popupmessage.h"
#include "ui_popupmessage.h"

PopupMessage::PopupMessage(QWidget *parent, QString txt) :
    QDialog(parent,Qt::FramelessWindowHint),
    m_ui(new Ui::PopupMessage)
{
    m_ui->setupUi(this);
    m_ui->label->setText(txt);
}

PopupMessage::~PopupMessage()
{
    delete m_ui;
}

void PopupMessage::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        m_ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
